# Invoices Object

> Source: https://truto.one/docs/api-reference/unified-subscription-management-api/invoices/

Schema for the `Invoices` resource in **Unified Subscription Management API**.

## Properties

- **`id`** _(string, required)_
  Unique identifier for the invoice
- **`customer`** _(object)_
  - **`id`** _(string)_
    Unique identifier for the customer
  - **`name`** _(string)_
    Name of the customer
  - **`email`** _(string)_
    Email of the customer
  - **`phone`** _(string)_
    Phone number of the customer
  - **`created_at`** _(string)_
    Date and time when the customer was created
  - **`updated_at`** _(string)_
    Date and time when the customer was last updated
- **`subscription_id`** _(string)_
  Unique identifier for the subscription associated with the invoice
- **`is_recurring`** _(boolean)_
  Whether the invoice is recurring or not
- **`status`** _(string)_
  Status of the invoice. In case there is no clear mapping, the raw status is passed.
  Allowed: `pending`, `paid`, `failed`, `cancelled`, `refunded`, `draft`
- **`issue_date`** _(string)_
  Date of the invoice
- **`due_date`** _(string)_
  Due date of the invoice
- **`paid_on_date`** _(string)_
  Date when the invoice was paid or marked as paid
- **`transaction_fee`** _(string)_
  Transaction fee on a payment
- **`number`** _(string)_
  Invoice number
- **`currency`** _(string)_
  Currency of the invoice
- **`exchange_rate`** _(number)_
  Exchange rate of the currency of the invoice
- **`total_discount`** _(string)_
  Total discount applied to the invoice
- **`sub_total`** _(string)_
  Sub total of the invoice
- **`total_tax_amount`** _(string)_
  Total tax amount of the invoice
- **`balance`** _(string)_
  Balance amount to be paid
- **`payments`** _(array<object>)_
  List of payments associated with the invoice
  - **`id`** _(string)_
    Unique identifier for the payment
  - **`method`** _(string)_
    Payment method used for the payment. In case there is no clear mapping, the raw payment method is passed.
    Allowed: `card`, `bank_transfer`, `cash`, `check`, `paypal`, `wallet`, `wire_transfer`
  - **`status`** _(string)_
    Status of the payment. In case there is no clear mapping, the raw status is passed.
    Allowed: `pending`, `authorized`, `paid`, `partial`, `refunded`, `voided`, `cancelled`, `unknown`
  - **`amount`** _(string)_
    Amount of the payment
  - **`currency`** _(string)_
    Currency of the payment
  - **`exchange_rate`** _(number)_
    Exchange rate of the currency of the payment
  - **`created_at`** _(string)_
    Date and time when the payment was created
  - **`updated_at`** _(string)_
    Date and time when the payment was last updated
- **`line_items`** _(array<object>)_
  List of line items associated with the invoice
  - **`id`** _(string)_
    The unique identifier for line item
  - **`name`** _(string)_
    The name of the line item
  - **`description`** _(string)_
    The description of the line item
  - **`item`** _(string)_
    The ID of the item
  - **`quantity`** _(number)_
    The quantity of the line item
  - **`unit_price`** _(string)_
    The unit price of the line item
  - **`tax_rate`** _(string)_
    The ID of the tax rate
  - **`tax_amount`** _(string)_
    The tax amount of the line item
  - **`total_line_amount`** _(string)_
    The total line amount of the line item.
  - **`type`** _(string)_
    The type of the line item
  - **`currency`** _(string)_
    The currency of the line item
  - **`exchange_rate`** _(number)_
    The exchange rate of the currency for the line item
- **`memo`** _(string)_
  Memo of the invoice
- **`created_at`** _(string)_
  Date and time when the invoice was created
- **`updated_at`** _(string)_
  Date and time when the invoice was last updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/subscription-management/invoices](/docs/api-reference/unified-subscription-management-api/invoices/list) — List Invoices
- [GET /unified/subscription-management/invoices/{id}](/docs/api-reference/unified-subscription-management-api/invoices/get) — Get Invoices
